de.esprit.common.type

## Enum OsPlatform

- java.lang.Object
- - java.lang.Enum<OsPlatform>
  - - de.esprit.common.type.OsPlatform

- All Implemented Interfaces:
    Renderable, java.io.Serializable, java.lang.Comparable<OsPlatform>

      public enum OsPlatform
      extends java.lang.Enum<OsPlatform>
      implements Renderable

  This type defines an os-platform consisting of type and architecture
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `LINUX_AMD64`
    `LINUX_I386`
    `SOLARIS_10_AMD64`
    `SOLARIS_10_SPARC`
    `SOLARIS_10_SPARCV9`
    `SOLARIS_10_X86`
    `UNKNOWN`
    `WINDOWS_7_AMD64`
    `WINDOWS_7_X86`
    `WINDOWS_VISTA_AMD64`
    `WINDOWS_VISTA_X86`
    `WINDOWS_XP_AMD64`
    `WINDOWS_XP_X86`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkCurrentPlatform()`
    `static OsPlatform` | `fromOsInfo(OsInfo osInfo)`
    `static OsPlatform` | `fromStrings(java.lang.String osTypeName, java.lang.String osArchName)`
    `static OsPlatform` | `fromValues(OsType osType, OsArchitecture osArch)`
    `static OsPlatform` | `getCurrentPlatform()`
    `OsArchitecture` | `getOsArchitecture()`
    `OsType` | `getOsType()`
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`
    `static OsPlatform` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OsPlatform[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final OsPlatform UNKNOWN

    - #### ALL

          public static final OsPlatform ALL

    - #### WINDOWS_XP_X86

          public static final OsPlatform WINDOWS_XP_X86

    - #### WINDOWS_XP_AMD64

          public static final OsPlatform WINDOWS_XP_AMD64

    - #### WINDOWS_VISTA_X86

          public static final OsPlatform WINDOWS_VISTA_X86

    - #### WINDOWS_VISTA_AMD64

          public static final OsPlatform WINDOWS_VISTA_AMD64

    - #### WINDOWS_7_X86

          public static final OsPlatform WINDOWS_7_X86

    - #### WINDOWS_7_AMD64

          public static final OsPlatform WINDOWS_7_AMD64

    - #### SOLARIS_10_SPARC

          public static final OsPlatform SOLARIS_10_SPARC

    - #### SOLARIS_10_SPARCV9

          public static final OsPlatform SOLARIS_10_SPARCV9

    - #### SOLARIS_10_X86

          public static final OsPlatform SOLARIS_10_X86

    - #### SOLARIS_10_AMD64

          public static final OsPlatform SOLARIS_10_AMD64

    - #### LINUX_I386

          public static final OsPlatform LINUX_I386

    - #### LINUX_AMD64

          public static final OsPlatform LINUX_AMD64

  - ### Method Detail

    - #### values

          public static OsPlatform[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OsPlatform c : OsPlatform.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OsPlatform valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getOsType

          public OsType getOsType()

    - #### getOsArchitecture

          public OsArchitecture getOsArchitecture()

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`

    - #### getCurrentPlatform

          public static OsPlatform getCurrentPlatform()

    - #### checkCurrentPlatform

          public static void checkCurrentPlatform()

    - #### fromOsInfo

          public static OsPlatform fromOsInfo(OsInfo osInfo)

    - #### fromStrings

          public static OsPlatform fromStrings(java.lang.String osTypeName,
                               java.lang.String osArchName)

    - #### fromValues

          public static OsPlatform fromValues(OsType osType,
                              OsArchitecture osArch)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.